ATI RADEON GRAPHICS DRIVER ERROR

New to Debian (Or Linux in general)? Ask your questions here!

ATI RADEON GRAPHICS DRIVER ERROR

Postby Airix » 2012-07-02 00:33

so on my amd 64 phenom II Quad-Core notebook with ATI MOBILITY RADEON HD 4250 graphics card... i can download the proprietary drivers fine and what have you but when i try to open catalyst menu it tells me its not functioning or is not installed (the graphics card). on top of that the limited 3D capabilities become completely shot... its not a huge dissapointment since i hardly play games anymore as is but would be nice to have all my specs working properly... anyone got any ideas on loading flgrx drivers and making them work properly? I recently switched from ubuntu 12 cause im not a fan of the unity desktop... and new to debian 6 so it may be something simple im missing
It's just a thought
User avatar
Airix
 
Posts: 46
Joined: 2012-07-02 00:21
Location: MA USA

Re: ATI RADEON GRAPHICS DRIVER ERROR

Postby cynwulf » 2012-07-02 09:29

To install the proprietary drivers: http://wiki.debian.org/ATIProprietary

Do it "the Debian way". If you're running stable/squeeze you might have problems with the latest fglrx/catalyst .run installer from AMD. If you installed that - uninstall it.
cynwulf
 
Posts: 2396
Joined: 2008-09-25 08:49

Re: ATI RADEON GRAPHICS DRIVER ERROR

Postby Airix » 2012-07-02 14:34

Thanks for the reply cynwulf... i did install it from this site that you posted. would it be possible that its just the catalyst controller thats not working properly and if i just install the driver i might have better luck? im not sure how to paste terminal output but lemme see if i can and ill post the driver install info and maybe u can help there... i know the post release updates version never worked properly in ubuntu either is there an older driver i can download?
It's just a thought
User avatar
Airix
 
Posts: 46
Joined: 2012-07-02 00:21
Location: MA USA

Re: ATI RADEON GRAPHICS DRIVER ERROR

Postby Airix » 2012-07-02 14:38

so i did find this on the product support in the pdf attached to that page under hd mobility cards mine is not listed...


ATI Mobility RadeonTM HD 5800 ATI Mobility RadeonTM HD 4300
ATI Mobility RadeonTM HD 5700 ATI Mobility RadeonTM HD 4200
ATI Mobility RadeonTM HD 5600 ATI Mobility RadeonTM HD 3870
ATI Mobility RadeonTM HD 5400 ATI Mobility RadeonTM HD 3850
ATI Mobility RadeonTM HD 4870 ATI Mobility RadeonTM HD 3670
ATI Mobility RadeonTM HD 4860 ATI Mobility RadeonTM HD 3650
ATI Mobility RadeonTM HD 4850 ATI Mobility RadeonTM HD 3430
ATI Mobility RadeonTM HD 4830 ATI Mobility RadeonTM HD 3400
ATI Mobility RadeonTM HD 4670 ATI Mobility RadeonTM HD 2600
ATI Mobility RadeonTM HD 4650 ATI Mobility RadeonTM HD 2400
ATI Mobility RadeonTM HD 4500

could that be the problem or is that unlikely?

i also found this from the pdf could this be my problem?


The following packages must be installed in order for the ATI CatalystTM Linux driver to
install and work properly:
XFree86-Mesa-libGL
libstdc++
libgcc
XFree86-libs
fontconfig
It's just a thought
User avatar
Airix
 
Posts: 46
Joined: 2012-07-02 00:21
Location: MA USA

Re: ATI RADEON GRAPHICS DRIVER ERROR

Postby cynwulf » 2012-07-02 15:57

Post these outputs

Code: Select all
$ cat /etc/apt/sources.list

Code: Select all
$ cat /etc/X11/xorg.conf

Code: Select all
$ grep 'WW\|EE' /var/log.Xorg.0.log

Code: Select all
$ uname -r

Code: Select all
$ glxinfo | grep render

Code: Select all
$ apt-cache policy fglrx-driver fglrx-modules-dkms fglrx-control


Please use code tags.
cynwulf
 
Posts: 2396
Joined: 2008-09-25 08:49

Re: ATI RADEON GRAPHICS DRIVER ERROR

Postby Airix » 2012-07-02 17:42

this may be a dumb question but should i reinstall the proprietary drivers before i post the output? i did a clean install and before i install them again i wanna make sure u dont want it before the drivers are installed
It's just a thought
User avatar
Airix
 
Posts: 46
Joined: 2012-07-02 00:21
Location: MA USA

Re: ATI RADEON GRAPHICS DRIVER ERROR

Postby Airix » 2012-07-02 18:55

ok so i tried to reinstall the drivers when i did i got this message maybe i did something wrong not sure

Code: Select all
airix@Voltive:~$ sudo apt-get install xserver-xorg-core=2:1.11.4-1
[sudo] password for airix:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Version '2:1.11.4-1' for 'xserver-xorg-core' was not found
airix@Voltive:~$

It's just a thought
User avatar
Airix
 
Posts: 46
Joined: 2012-07-02 00:21
Location: MA USA

Re: ATI RADEON GRAPHICS DRIVER ERROR

Postby cynwulf » 2012-07-02 21:44

Before you do anything else post these outputs

Code: Select all
$ cat /etc/apt/sources.list

Code: Select all
$ cat /etc/X11/xorg.conf

Code: Select all
$ grep 'WW\|EE' /var/log.Xorg.0.log

Code: Select all
$ uname -r

Code: Select all
$ glxinfo | grep render

Code: Select all
$ apt-cache policy fglrx-driver fglrx-modules-dkms fglrx-control


Please use code tags.
cynwulf
 
Posts: 2396
Joined: 2008-09-25 08:49

Re: ATI RADEON GRAPHICS DRIVER ERROR

Postby Airix » 2012-07-02 22:11

ok here you are then
Code: Select all
airix@Voltive:~$ cat /etc/apt/sources.list
#

# deb cdrom:[Debian GNU/Linux 6.0.5 _Squeeze_ - Official amd64 NETINST Binary-1 20120512-20:40]/ squeeze main

#deb cdrom:[Debian GNU/Linux 6.0.5 _Squeeze_ - Official amd64 NETINST Binary-1 20120512-20:40]/ squeeze main

deb http://ftp.us.debian.org/debian/ squeeze main
deb-src http://ftp.us.debian.org/debian/ squeeze main

deb http://security.debian.org/ squeeze/updates main
deb-src http://security.debian.org/ squeeze/updates main

# squeeze-updates, previously known as 'volatile'
deb http://ftp.us.debian.org/debian/ squeeze-updates main
deb-src http://ftp.us.debian.org/debian/ squeeze-updates main


Code: Select all
airix@Voltive:~$ cat /etc/X11/xorg.conf
cat: /etc/X11/xorg.conf: No such file or directory
airix@Voltive:~$
[code]
airix@Voltive:~$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: Software Rasterizer
airix@Voltive:~$

[/code]


Code: Select all
airix@Voltive:~$ grep 'WW\|EE' /var/log.Xorg.0.log
grep: /var/log.Xorg.0.log: No such file or directory
airix@Voltive:~$


Code: Select all
airix@Voltive:~$ uname -r
2.6.32-5-amd64
airix@Voltive:~$



Code: Select all
airix@Voltive:~$  apt-cache policy fglrx-driver fglrx-modules-dkms fglrx-controlN: Unable to locate package fglrx-driver
N: Unable to locate package fglrx-modules-dkms
N: Unable to locate package fglrx-control
airix@Voltive:~$



thanks ahead of time for helping me figure this out
It's just a thought
User avatar
Airix
 
Posts: 46
Joined: 2012-07-02 00:21
Location: MA USA

Re: ATI RADEON GRAPHICS DRIVER ERROR

Postby kmathern » 2012-07-02 22:25

Airix wrote: ...
Code: Select all
airix@Voltive:~$ grep 'WW\|EE' /var/log.Xorg.0.log
grep: /var/log.Xorg.0.log: No such file or directory
airix@Voltive:~$


I think he (cynwulf) actually wanted:
grep 'WW\|EE' /var/log/Xorg.0.log
kmathern
 
Posts: 603
Joined: 2011-02-05 19:20

Re: ATI RADEON GRAPHICS DRIVER ERROR

Postby Airix » 2012-07-02 22:27

Code: Select all
airix@Voltive:~$ grep 'WW\|EE' /var/log/Xorg.0.log
   (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
(II) Loading extension MIT-SCREEN-SAVER
(WW) Falling back to old probe method for vesa
(WW) Falling back to old probe method for fbdev
(WW) RADEON(0): Color tiling is not yet supported on R600/R700
(WW) RADEON(0): Direct rendering disabled
(EE) ETPS/2 Elantech Touchpad Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "ETPS/2 Elantech Touchpad"
airix@Voltive:~$

It's just a thought
User avatar
Airix
 
Posts: 46
Joined: 2012-07-02 00:21
Location: MA USA

Re: ATI RADEON GRAPHICS DRIVER ERROR

Postby kmathern » 2012-07-02 22:38

One other thing I noticed:

Airix wrote: ...
Code: Select all
   
airix@Voltive:~$  apt-cache policy fglrx-driver fglrx-modules-dkms fglrx-control
    N: Unable to locate package fglrx-driver
    N: Unable to locate package fglrx-modules-dkms
    N: Unable to locate package fglrx-control
airix@Voltive:~$


It looks like you haven't yet done a 'apt-get update' on your new/clean install to load the repo package lists.
kmathern
 
Posts: 603
Joined: 2011-02-05 19:20

Re: ATI RADEON GRAPHICS DRIVER ERROR

Postby Airix » 2012-07-02 23:06

ok will do in a second i just crashed the system trying to follow the debian radeon install page... my xorg.conf file crashes the gui when i edit it
It's just a thought
User avatar
Airix
 
Posts: 46
Joined: 2012-07-02 00:21
Location: MA USA

Re: ATI RADEON GRAPHICS DRIVER ERROR

Postby kmathern » 2012-07-02 23:29

Airix wrote:ok here you are then
Code: Select all
airix@Voltive:~$ cat /etc/apt/sources.list
#

# deb cdrom:[Debian GNU/Linux 6.0.5 _Squeeze_ - Official amd64 NETINST Binary-1 20120512-20:40]/ squeeze main

#deb cdrom:[Debian GNU/Linux 6.0.5 _Squeeze_ - Official amd64 NETINST Binary-1 20120512-20:40]/ squeeze main

deb http://ftp.us.debian.org/debian/ squeeze main
deb-src http://ftp.us.debian.org/debian/ squeeze main

deb http://security.debian.org/ squeeze/updates main
deb-src http://security.debian.org/ squeeze/updates main

# squeeze-updates, previously known as 'volatile'
deb http://ftp.us.debian.org/debian/ squeeze-updates main
deb-src http://ftp.us.debian.org/debian/ squeeze-updates main



I apologize, it wasn't that you hadn't loaded the packages lists using 'apt-get update' {though you might not have}

You need to have the 'non-free' (and possibly 'contrib' as well) repos enabled to be able to install the fglrx packages and/or have them show up when running the apt-cache policy command.

deb http://ftp.us.debian.org/debian/ squeeze main contrib non-free
deb-src http://ftp.us.debian.org/debian/ squeeze main contrib non-free


Add the 'non-free' and 'contrib' and reload with 'apt-get update'.
kmathern
 
Posts: 603
Joined: 2011-02-05 19:20

Re: ATI RADEON GRAPHICS DRIVER ERROR

Postby Airix » 2012-07-02 23:53

here it is after loading repos
Code: Select all
airix@Voltive:~$ sudo apt-cache policy fglrx-driver fglrx-modules-dkms fglrx-control
fglrx-driver:
  Installed: (none)
  Candidate: 1:10-9-3
  Version table:
     1:10-9-3 0
        500 http://ftp.us.debian.org/debian/ squeeze/non-free amd64 Packages
fglrx-control:
  Installed: (none)
  Candidate: 1:10-9-3
  Version table:
     1:10-9-3 0
        500 http://ftp.us.debian.org/debian/ squeeze/non-free amd64 Packages
fglrx-modules-dkms:
  Installed: (none)
  Candidate: 1:10-9-3
  Version table:
     1:10-9-3 0
        500 http://ftp.us.debian.org/debian/ squeeze/non-free amd64 Packages
airix@Voltive:~$

It's just a thought
User avatar
Airix
 
Posts: 46
Joined: 2012-07-02 00:21
Location: MA USA

Next

Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 10 guests

fashionable